DECLARE @PR履歴No int
DECLARE @商品No int
DECLARE @顧客No int
DECLARE @登録スタッフNo int
DECLARE @広告No int
DECLARE @プロモーション予定No int
DECLARE @プロモーション実績No int
DECLARE @PR区分No int
DECLARE @総費用 int
DECLARE @対象商品総数 int
DECLARE @対象既存顧客総数 int
DECLARE @有効日数内の総売上 int
DECLARE @新規顧客獲得数 int
DECLARE @見込顧客獲得数 int
DECLARE @掘起し顧客数 int
DECLARE @更新スタッフNo int
DECLARE @年 int
DECLARE @年月 int
DECLARE @月 int
DECLARE @F int
DECLARE @M int
DECLARE @コンタクト履歴No int
DECLARE @バウンドNo int
DECLARE @ツールNo int
DECLARE @コンタクトスタッフNo int
DECLARE @スタッフNo int
DECLARE @役職No int
DECLARE @権限No int
DECLARE @PR名 varchar
DECLARE @広告名 varchar
DECLARE @内容 varchar
DECLARE @担当者名 varchar
DECLARE @TEL varchar
DECLARE @FAX varchar
DECLARE @メールアドレス varchar
DECLARE @URL varchar
DECLARE @備考 varchar
DECLARE @操作端末名 varchar
DECLARE @操作スタッフ氏名 varchar
DECLARE @操作画面 varchar
DECLARE @操作内容 varchar
DECLARE @件名 varchar
DECLARE @本文 varchar
DECLARE @スタッフID varchar
DECLARE @パスワード varchar
DECLARE @氏名 varchar
DECLARE @公開予定日 datetime
DECLARE @公開実施日 datetime
DECLARE @予定期間fr datetime
DECLARE @予定期間to datetime
DECLARE @公開予定日fr datetime
DECLARE @公開予定日to datetime
DECLARE @公開実施日fr datetime
DECLARE @公開実施日to datetime
DECLARE @実施期間fr datetime
DECLARE @実施期間to datetime
DECLARE @休眠対象日 datetime
DECLARE @販売日時fr datetime
DECLARE @販売日時to datetime
DECLARE @操作日fr datetime
DECLARE @操作日to datetime
DECLARE @コンタクト日時 datetime

SET @PR履歴No = 1
SET @商品No = 1
SET @顧客No = 1
SET @登録スタッフNo = 1
SET @広告No = 1
SET @プロモーション予定No = 1
SET @プロモーション実績No = 1
SET @PR区分No = 1
SET @総費用 = 1
SET @対象商品総数 = 1
SET @対象既存顧客総数 = 1
SET @有効日数内の総売上 = 1
SET @新規顧客獲得数 = 1
SET @見込顧客獲得数 = 1
SET @掘起し顧客数 = 1
SET @更新スタッフNo = 1
SET @年 = 1
SET @年月 = 1
SET @月 = 1
SET @F = 1
SET @M = 1
SET @コンタクト履歴No = 1
SET @バウンドNo = 1
SET @ツールNo = 1
SET @コンタクトスタッフNo = 1
SET @スタッフNo = 1
SET @役職No = 1
SET @権限No = 1
SET @PR名 = 'a'
SET @広告名 = 'a'
SET @内容 = 'a'
SET @担当者名 = 'a'
SET @TEL = 'a'
SET @FAX = 'a'
SET @メールアドレス = 'a'
SET @URL = 'a'
SET @備考 = 'a'
SET @操作端末名 = 'a'
SET @操作スタッフ氏名 = 'a'
SET @操作画面 = 'a'
SET @操作内容 = 'a'
SET @件名 = 'a'
SET @本文 = 'a'
SET @スタッフID = 'a'
SET @パスワード = 'a'
SET @氏名 = 'a'
SET @公開予定日 = '2002/1/11'
SET @公開実施日 = '2002/1/11'
SET @実施期間fr = '2002/1/11'
SET @実施期間to = '2003/7/11'
SET @休眠対象日 = '2001/7/15'
SET @予定期間fr = '2001/7/15'
SET @予定期間to = '2001/7/15'
SET @公開予定日fr = '2002/1/11'
SET @公開予定日to = '2002/1/11'
SET @公開実施日fr = '2002/1/11'
SET @公開実施日to = '2002/1/11'
SET @販売日時fr = '2002/1/11'
SET @販売日時to = '2002/1/11'
SET @操作日fr = '2002/1/11'
SET @操作日to = '2002/1/11'
SET @コンタクト日時 = '2002/1/11'



---- Fill
--SELECT
--	組織No,
--	ユーザーNo, 
--	スタッフID, 
--	パスワード, 
--	役職No, 
--	権限No, 
--	ニックネーム, 
--	備考, 
--	登録ユーザーNo, 
--	登録日時, 
--	更新ユーザーNo, 
--	更新日時
--FROM
--	M07組織スタッフ
--WHERE
--	組織No = @組織No
SELECT
	スタッフNo,
	スタッフID,
	パスワード,
	役職No,
	氏名,
	権限No,
	備考, 
	登録スタッフNo,
	登録日時,
	更新スタッフNo,
	更新日時
FROM
	M07スタッフ

---- FillBy認証
--SELECT
--	ユーザーNo, 
--	スタッフID, 
--	パスワード, 
--	役職No, 
--	権限No, 
--	ニックネーム, 
--	備考, 
--	登録ユーザーNo, 
--	登録日時, 
--	更新ユーザーNo, 
--	更新日時
--FROM
--	M07組織スタッフ
--WHERE
--	組織No = @組織No AND
--	スタッフID = @スタッフID AND 
--	パスワード = @パスワード
SELECT
	スタッフNo,
	スタッフID,
	パスワード,
	氏名,
	役職No,
	権限No,
	備考,
	登録スタッフNo,
	登録日時,
	更新スタッフNo,
	更新日時
FROM
	M07スタッフ
WHERE
	(スタッフID = @スタッフID) AND
	(パスワード = @パスワード)


---- ScalarスタッフID重複チェック
--SELECT
--	COUNT(*) AS スタッフcnt
--FROM
--	M07組織スタッフ
--WHERE
--	組織No = @組織No AND
--	スタッフID = @スタッフID
SELECT
	COUNT(*) AS スタッフCNT
FROM
	M07スタッフ
WHERE
	スタッフID = @スタッフID


---- ScalarユーザーNo
--SELECT
--	ユーザーNo
--FROM
--	M07組織スタッフ
--WHERE
--	組織No = @組織No AND
--	ニックネーム = @ニックネーム
---- ScalarスタッフNo
SELECT
	スタッフNo
FROM
	M07スタッフ
WHERE
	(氏名 = @氏名)


---- Scalarスタッフ総数
--SELECT
--	COUNT(*) AS スタッフcnt
--FROM
--	M07組織スタッフ
--WHERE
--	組織No = @組織No
SELECT
	COUNT(*) AS CNT
FROM
	M07スタッフ


---- Scalar管理スタッフ総数
--SELECT
--	COUNT(*) AS スタッフcnt
--FROM
--	M07組織スタッフ INNER JOIN
--	M01固定属性 ON M07組織スタッフ.権限No = M01固定属性.固定属性No
--WHERE
--	M07組織スタッフ.組織No = @組織No AND
--	M01固定属性.区分 = 11 AND 
--	M01固定属性.値 = '管理者' AND 
--	M07組織スタッフ.ユーザーNo <> @ユーザーNo
SELECT
	COUNT(*) AS CNT
FROM
	M07スタッフ INNER JOIN
	M04属性 ON M07スタッフ.権限No = M04属性.属性No
WHERE
	(M04属性.区分 = 11) AND
	(M04属性.値 = '管理者') AND 
	(M07スタッフ.スタッフNo <> @スタッフNo)
                      

---- Scalar氏名
--SELECT
--	ニックネーム
--FROM
--	M07組織スタッフ
--WHERE
--	組織No = @組織No AND
--	ユーザーNo = @ユーザーNo
SELECT
	氏名
FROM
	M07スタッフ
WHERE
	(スタッフNo = @スタッフNo)


---- Scalar氏名重複チェック
--SELECT
--	COUNT(*) AS スタッフcnt
--FROM
--	M07組織スタッフ
--WHERE
--	組織No = @組織No AND
--	ニックネーム = @ニックネーム
SELECT
	COUNT(*) AS CNT
FROM
	M07スタッフ
WHERE
	氏名 = @氏名


---- Scalar自分以外でスタッフID重複チェック
--SELECT
--	COUNT(*) AS スタッフcnt
--FROM
--	M07組織スタッフ
--WHERE
--	組織No = @組織No AND
--	ユーザーNo <> @ユーザーNo AND 
--	スタッフID = @スタッフID
SELECT
	COUNT(*) AS スタッフCNT
FROM
	M07スタッフ
WHERE
	(スタッフNo <> @スタッフNO) AND
	(スタッフID = @スタッフID)


---- Scalar自分以外で氏名重複チェック
--SELECT
--	COUNT(*) AS スタッフcnt
--FROM
--	M07組織スタッフ
--WHERE
--	組織No = @組織No AND
--	ニックネーム = @ニックネーム AND 
--	ユーザーNo <> @ユーザーNo
SELECT
	COUNT(*) AS スタッフCNT
FROM
	M07スタッフ
WHERE
	(氏名 = @氏名) AND
	(スタッフNo <> @スタッフNO)


---- Scalar認証
--SELECT
--	COUNT(*) AS スタッフcnt
--FROM
--	M07組織スタッフ
--WHERE
--	組織No = @組織No AND
--	スタッフID = @スタッフID AND 
--	パスワード = @パスワード
SELECT
	COUNT(*) AS スタッフCNT
FROM
	M07スタッフ
WHERE
	スタッフID = @スタッフID AND
	パスワード = @パスワード


---- InsertCommand
--INSERT INTO M07組織スタッフ (
--	組織No,
--	スタッフID, 
--	パスワード, 
--	役職No, 
--	権限No, 
--	ニックネーム, 
--	備考, 
--	登録ユーザーNo, 
--	登録日時, 
--	更新ユーザーNo, 
--	更新日時
--) VALUES (
--	@組織No,
--	@スタッフID, 
--	@パスワード, 
--	@役職No, 
--	@権限No, 
--	@ニックネーム, 
--	@備考, 
--	@登録ユーザーNo, 
--	getdate(), 
--	@登録ユーザーNo, 
--	getdate()
--)
INSERT INTO M07スタッフ (
	スタッフID,
	パスワード,
	氏名,
	役職No,
	権限No,
	備考,
	登録スタッフNo, 
	登録日時,
	更新スタッフNo,
	更新日時
) VALUES (
	@スタッフID,
	@パスワード,
	@氏名,
	@役職No,
	@権限No,
	@備考,
	@登録スタッフNo,
	GETDATE(),
	@登録スタッフNo,
	GETDATE()
)


---- UpdateCommand
--UPDATE 
--	M07組織スタッフ 
--SET 
--	スタッフID = @スタッフID, 
--	パスワード = @パスワード, 
--	役職No = @役職No, 
--	ニックネーム = @ニックネーム, 
--	権限No = @権限No, 
--	備考 = @備考, 
--	更新ユーザーNo = @更新ユーザーNo, 
--	更新日時 = getdate()
--WHERE
--	組織No = @組織No AND
--	ユーザーNo = @ユーザーNo
UPDATE
	M07スタッフ
SET
	スタッフID = @スタッフID,
	パスワード = @パスワード,
	役職No = @役職No, 
	氏名 = @氏名,
	権限No = @権限No,
	備考 = @備考, 
	更新スタッフNo = @更新スタッフNo,
	更新日時 = GETDATE()
WHERE
	スタッフNo = @スタッフNo


---- DeleteCommand
--DELETE FROM 
--	M07組織スタッフ 
--WHERE
--	組織No = @組織No AND
--	ユーザーNo = @ユーザーNo
DELETE FROM M07スタッフ
WHERE
	スタッフNo = @スタッフNo


